Fallimento rubygem update

Ciao a tutti,

ho appena comprato un portatile con Win7.

Volevo installare Ruby e RoR.

Per il primo ok, versione 1.8.6 mentre non riesco a fare l’update di
rubygems tramite:

gem update --system

e quindi installare Rails e le altre gemme.

L’errore riportato è più o meno:

ERROR: While executing gem … (Gem::InstallError)
rubygems-update require builder >= 0

Spero che qualcuno mi possa aiutare.

Grazie.

Sembra quasi che ti manchi una gemma chiamata builder (non so cosa sia).
Prova con

gem install builder

e poi riprova il gem update anche se, per curiosità : se è
un’installazione da zero perché devi fare gem update?

Paolo

Yuri R. wrote:

Ciao a tutti,

ho appena comprato un portatile con Win7.

Volevo installare Ruby e RoR.

Per il primo ok, versione 1.8.6 mentre non riesco a fare l’update di
rubygems tramite:

gem update --system

e quindi installare Rails e le altre gemme.

L’errore riportato è più o meno:

ERROR: While executing gem … (Gem::InstallError)
rubygems-update require builder >= 0

Spero che qualcuno mi possa aiutare.

Grazie.

Ho provato con:

gem install builder

ma mi riporta il seguente errore:
ERROR: While executing gem … (Gem::GemNotFoundException)
could not find builder <> 0 in any repository.

se non faccio l’update di rubygems

gem update --system

non riesco a fare correttamente l’istallazione di Rails.

Ciao,
ho avuto lo stesso problema qualche settiana fà. Ho scaricato rubygems
1.3.5
e l’ho installato manualmente.

Il giorno 21 gennaio 2010 15.30, Yuri R. [email protected] ha
scritto:

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs